- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs/getDefaultBranch.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs/getDefaultBranch.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs/getDefaultBranch.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs/getDefaultBranch.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs/getDefaultBranch.md.txt#body.GetDefaultBranchResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs/getDefaultBranch.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs/getDefaultBranch.md.txt#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs/getDefaultBranch.md.txt#try-it)

Get which branch is currently default branch set by `CatalogService.SetDefaultBranch` method under a specified parent catalog.

### HTTP request

`GET https://retail.googleapis.com/v2/{catalog=projects/*/locations/*/catalogs/*}:getDefaultBranch`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `catalog` | `string` The parent catalog resource name, such as `projects/*/locations/global/catalogs/default_catalog`. |

### Request body

The request body must be empty.

### Response body

Response message of `CatalogService.GetDefaultBranch`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "branch": string, "setTime": string, "note": string } ``` |

| Fields ||
|---|---|
| `branch` | `string` Full resource name of the branch id currently set as default branch. |
| `setTime` | ``string (`Timestamp` format)`` The time when this branch is set to default. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `note` | `string` This corresponds to `SetDefaultBranchRequest.note` field, when this branch was set as default. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `catalog` resource:

- `retail.catalogs.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).